#
# spec file for package lxgw-wenkai-screen-fonts
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           lxgw-wenkai-screen-fonts
Version:        1.300
Release:        2.6
Summary:        Chinese font derived from Klee One
License:        OFL-1.1
URL:            https://github.com/lxgw/LxgwWenKai-Screen
Source0:        https://github.com/lxgw/LxgwWenKai-Screen/releases/download/v%{version}/LXGWWenKaiScreen.ttf
BuildRequires:  fontpackages-devel
BuildArch:      noarch
%reconfigure_fonts_prereq

%description
A Chinese font derived from Fontworks's Klee One.

%prep
cp %{S:0} ./

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -m 0644 *.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets -c

%files
%{_ttfontsdir}

%changelog
* Wed Dec 13 2023 Giacomo Comes <gcomes.obs@gmail.com>
- add %%reconfigure_fonts_prereq, required by the presence of the
  macro: %%reconfigure_fonts_scriptlets
* Tue May  9 2023 Yunhe Guo <i@guoyunhe.me>
- Version 1.300
* Wed Apr 19 2023 Jan Engelhardt <jengelh@inai.de>
- Update descriptions.
* Tue Apr 18 2023 Yunhe Guo <i@guoyunhe.me>
- Version 1.250.2
